"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = loader;
exports.raw = void 0;

var _loaderUtils = require("loader-utils");

var _schemaUtils = _interopRequireDefault(require("schema-utils"));

var _stripJsonComments = _interopRequireDefault(require("strip-json-comments"));

var _options = _interopRequireDefault(require("./options.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const raw = true;
exports.raw = raw;

function loader(source) {
  const {
    version,
    webpack
  } = this;
  const options = (0, _loaderUtils.getOptions)(this) || {}; // Validate Options

  (0, _schemaUtils.default)(_options.default, options, 'JSON-C Loader');
  const rawSource = source.toString();
  const striped = (0, _stripJsonComments.default)(rawSource);
  let output = striped;

  if (options.minify) {
    output = JSON.stringify(JSON.parse(striped));
  }

  return `
/**
 * Loader API Version: ${version}
 * Is this in "webpack mode": ${webpack}
 */
export default ${output}`;
}